# DataExchange
TKXmlXCAF
XmlMXCAFDoc

# XmlMXCAFDoc_VolumeDriver Class Reference

Attribute Driver.
.

`#include <XmlMXCAFDoc_VolumeDriver.hxx>`

## Public Member Functions

Standard_EXPORT | XmlMXCAFDoc_VolumeDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT Standard_Boolean | Paste (const XmlObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, XmlObjMgt_RRelocationTable &RelocTable) const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, XmlObjMgt_Persistent &Target, XmlObjMgt_SRelocationTable &RelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XmlMXCAFDoc_VolumeDriver::XmlMXCAFDoc_VolumeDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const XmlMXCAFDoc_VolumeDriver::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XmlMXCAFDoc_VolumeDriver::NewEmpty | ( |  | ) | const

Standard_EXPORT void XmlMXCAFDoc_VolumeDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | XmlObjMgt_Persistent & | Target,
|  | XmlObjMgt_SRelocationTable & | RelocTable
| ) | const

Standard_EXPORT Standard_Boolean XmlMXCAFDoc_VolumeDriver::Paste | ( | const XmlObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | XmlObjMgt_RRelocationTable & | RelocTable
| ) | const

The documentation for this class was generated from the following file:

- XmlMXCAFDoc_VolumeDriver.hxx